Subject: Re: bug#18438: 24.4.50; assertion failed in bidi.c

From: [email-masked]
Date: Thu, 23 Oct 2014 17:15:04 +1300

On Wed, 22 Oct 2014 20:16:28 +0300, Eli Zaretskii wrote:
> These 2 threads seem to be waiting on a pipe to a subprocess.  Any
> idea which 2 subprocesses were running at the time?

I had ERC running using gnutls-cli, so that's one, but I don't know 
what the other one would have been.  I *may* have had the Python 
interpreter open, but I thought I had killed that before the crash.

> Also, is there any pattern to what Emacs is doing when these 
> assertion
> violations and segfaults happen?  Is it idle, or are you typing
> something, and if the latter, what were you doing immediately prior 
> to
> the crash?

No pattern whatsoever; sometimes it's been while typing, sometimes 
while idle, and it has crashed with no subprocesses running, although 
not as often, as I usually do have ERC connected.